
Infrastructure - Task #2827

nesting groups requires schema change*

2012-05-29 21:50 - Rob Nahf

Status: In Progress Start date: 2014-07-09

Priority: Normal Due date:  

Assignee: Dave Vieglais % Done: 30%

Category: d1_schemas Estimated time: 0.00 hour

Target version: CCI-2.0-TRUNK   

Milestone: None Story Points:  

Product Version:    

Description

If we are supporting nested groups for the purpose of inheriting the access rights of a parent group,  the Group datatype needs an

isMemberOf element for efficiently building subjectInfo from a given subject.

Currently the parent group references the subgroup using hasMember element, but there is not a reference from the subgroup to the

parent group.  This is problematic because the starting point for building the SubjectInfo for a certificate is typically a Person subject. 

the Person.isMemberOf element allows traversal to Groups that they are directly members of, but if those groups are subgroups of

other Groups, there's no reference to them.

CN.getSubjectInfo needs to traverse every registered group and subgroup to pick up parent Groups for a particular person (even if

there aren't any, it needs to check).

History

#1 - 2012-05-29 22:34 - Rob Nahf

- Priority changed from Normal to Immediate

- Category set to Documentation

- Subject changed from nesting groups requires schema change to nesting groups requires schema change*

- Assignee set to Dave Vieglais

#2 - 2012-05-29 23:35 - Dave Vieglais

This does indeed appear to be a significant deficiency in the schema design, and precludes the use of nested groups.

Since this is a schema change, it will be necessary to defer until after initial release, which in turn implies that we should not directly support nested

groups, however I do not believe there are any checks against groups containing group subjects.

#3 - 2012-05-30 12:25 - Dave Vieglais

- Target version changed from Sprint-2012.19-Block.3.2 to Sprint-2012.29-Block.4.3

- Priority changed from Immediate to Normal

Deferring this issue until after public release. It does not appear to block any required functionality.

#4 - 2012-06-07 16:25 - Robert Waltz

- Milestone changed from CCI-1.0.0 to CCI-1.1

#5 - 2012-08-31 03:07 - Chris Jones

- Target version changed from Sprint-2012.29-Block.4.3 to Sprint-2012.37-Block.5.3

#6 - 2012-10-08 16:49 - Dave Vieglais
- translation missing: en.field_remaining_hours set to 0.0

- Target version deleted (Sprint-2012.37-Block.5.3)

- Milestone changed from CCI-1.1 to None

This issue will require fairly wide spread changes.

Need to discuss and develop detailed specifications before implementing if necessary.

#7 - 2013-08-14 18:31 - Robert Waltz

- Parent task set to #3755

#8 - 2014-01-06 22:40 - Robert Waltz

- Estimated time set to 0.00

- Parent task changed from #3755 to #2829

#9 - 2014-07-09 17:54 - Ben Leinfelder

- Status changed from New to In Progress

- Start date set to 2014-07-09

What's the verdict - will v2 support nested Groups?

#10 - 2014-10-01 16:57 - Robert Waltz

- Target version set to CCI-2.0.0

#11 - 2015-06-25 22:00 - Ben Leinfelder

- Parent task deleted (#2829)

- % Done changed from 0 to 30

- Category changed from Documentation to d1_schemas

Pushing this to backlog - not a 2.0 critical change nor a feature that is being asked for by users. IRC discussion with MBJ, DV, BRL and CJ.
